Subject: Re: brcmfmac: slightly simplify building interface combinations

From: Kalle Valo <[email-masked]>
Date: Wed, 29 Jun 2016 15:41:52 +0000 (UTC)

Rafał Miłecki wrote:
> This change reorders some operations in brcmf_setup_ifmodes in hope to
> make it simpler:
> 1) It allocates arrays right before filling them. This way it's easier
>    to follow requested array length as it's immediately followed by
>    code filling it. It's easier to check e.g. why we need 4 entries for
>    P2P. Other than that it deduplicates some checks (e.g. for P2P).
> 2) It reorders code to first prepare limits and then define a new combo.
>    Previously this was mixed (e.g. we were setting num of channels
>    before preparing limits).
> 3) It modifies mbss code to use i variable just like other combos do.
> 
> Signed-off-by: Rafał Miłecki <[email-masked]>
> Acked-by: Arend van Spriel <[email-masked]>

Thanks, 1 patch applied to wireless-drivers-next.git:

f568adac7d1a brcmfmac: slightly simplify building interface combinations

-- 
Sent by pwcli
https://patchwork.kernel.org/patch/9162267/